New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

bin/kalite does not support PyPy #3399

Closed
aronasorman opened this Issue Mar 24, 2015 · 8 comments

Comments

Projects
None yet
4 participants
@aronasorman
Member

aronasorman commented Mar 24, 2015

It always drops down to python2. Which is slow.

@aronasorman aronasorman self-assigned this Mar 24, 2015

@aronasorman aronasorman added this to the 0.14.0 milestone Mar 24, 2015

@aronasorman

This comment has been minimized.

Show comment
Hide comment
@aronasorman

aronasorman Mar 24, 2015

Member

Also, KA Lite isn't working in PyPy.

Member

aronasorman commented Mar 24, 2015

Also, KA Lite isn't working in PyPy.

@benjaoming

This comment has been minimized.

Show comment
Hide comment
@benjaoming

benjaoming Mar 24, 2015

Member

It just defaults to python2 if it's in the path. But you can override that behaviour by setting a KALITE_PYTHON env.

Member

benjaoming commented Mar 24, 2015

It just defaults to python2 if it's in the path. But you can override that behaviour by setting a KALITE_PYTHON env.

@benjaoming

This comment has been minimized.

Show comment
Hide comment
@aronasorman

This comment has been minimized.

Show comment
Hide comment
@aronasorman

aronasorman Mar 24, 2015

Member

Yeah, was hoping it would default to PyPy (since it's a "faster" python), but looks like KA Lite doesn't even work on PyPy in the first place.

Member

aronasorman commented Mar 24, 2015

Yeah, was hoping it would default to PyPy (since it's a "faster" python), but looks like KA Lite doesn't even work on PyPy in the first place.

@aronasorman aronasorman assigned applenbt and unassigned aronasorman Mar 30, 2015

@applenbt

This comment has been minimized.

Show comment
Hide comment
@applenbt

applenbt Apr 11, 2015

Downloaded the latest version of PyPy off Brew, Ka-Lite seems to be working fine with the latest develop

applenbt commented Apr 11, 2015

Downloaded the latest version of PyPy off Brew, Ka-Lite seems to be working fine with the latest develop

@aronasorman aronasorman modified the milestones: 0.15.0, 0.14.0 Jul 16, 2015

@aronasorman aronasorman modified the milestones: 0.16.0, 0.15.0 Sep 1, 2015

@aronasorman

This comment has been minimized.

Show comment
Hide comment
@aronasorman

aronasorman Sep 1, 2015

Member

Wil be fixed once #4315 has been implemented.

Member

aronasorman commented Sep 1, 2015

Wil be fixed once #4315 has been implemented.

@benjaoming

This comment has been minimized.

Show comment
Hide comment
@benjaoming

benjaoming Sep 20, 2016

Member

PyPy will be dropped <- I meant PyRun :)
learningequality/ka-lite-installers#417

But it's a duplicate of #4315 anyways

Member

benjaoming commented Sep 20, 2016

PyPy will be dropped <- I meant PyRun :)
learningequality/ka-lite-installers#417

But it's a duplicate of #4315 anyways

@benjaoming

This comment has been minimized.

Show comment
Hide comment
@benjaoming

benjaoming Oct 2, 2016

Member

Fixed in 0.17, releasing at the end of October. But work on installers can start now with the prerelease of 0.17b1.

Member

benjaoming commented Oct 2, 2016

Fixed in 0.17, releasing at the end of October. But work on installers can start now with the prerelease of 0.17b1.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment